/*
 * defs.h
 *
 * Created: 2016-03-16 13:37:20
 *  Author: dsosnowski
 */ 


#ifndef DEFS_H_
#define DEFS_H_


#define OUTL_PIN			1
#define OUTR_PIN			4		//active 0
#define INL_PIN				2
#define INR_PIN				3
#define PRG_PIN				0
#define RST_PIN				5


#define OUTL_OFF			(PORTB &= ~(1<<OUTL_PIN))
#define OUTL_SET			(PORTB |=  (1<<OUTL_PIN))
#define OUTR_OFF			(PORTB &= ~(1<<OUTR_PIN))
#define OUTR_SET			(PORTB |=  (1<<OUTR_PIN))

#define INL_GET				(PINB & (1<<INL_PIN))
#define INR_GET				(PINB & (1<<INR_PIN))
#define PRG_GET				(PINB & (1<<PRG_PIN))


#endif /* DEFS_H_ */